#if !defined(AFX_CALIBRATIONDIALOG_H__B887EDD9_5863_465C_95DF_66DEC78715CE__INCLUDED_)
#define AFX_CALIBRATIONDIALOG_H__B887EDD9_5863_465C_95DF_66DEC78715CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CalibrationDialog.h : header file
//

#include "Image.h"

/////////////////////////////////////////////////////////////////////////////
// CalibrationDialog dialog

class CalibrationDialog : public CDialog
{
// Construction
public:
	CalibrationDialog(const CString& fname, float conversion, CWnd* pParent = NULL);   // standard constructor
  float GetConversion(void) {return m_pixels_per_mm;}

// Dialog Data
	//{{AFX_DATA(CalibrationDialog)
	enum { IDD = IDD_CALIBRATION_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CalibrationDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CalibrationDialog)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnKillfocusEditMm();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
  void Redraw(CDC& dc);
  void Recalculate();
  blepo::ImgBgr m_img;
  float m_pixels_per_mm;
  CPoint m_point1, m_point2;
  bool m_waiting_for_second;
  const int m_border;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CALIBRATIONDIALOG_H__B887EDD9_5863_465C_95DF_66DEC78715CE__INCLUDED_)
